<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$peticion='SGAPicking#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTADOPICKINGABIERTAS#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$comboTipo=array();
$comboEstado=array();

foreach($resultado as $item) {

	if(!in_array($item['TipoOrdenes'],$comboTipo) && $item['TipoOrdenes']!='') $comboTipo[]=$item['TipoOrdenes'];
	if(!in_array($item['EstadoUsuario'],$comboEstado) && $item['EstadoUsuario']!='') $comboEstado[]=$item['EstadoUsuario'];

}

if(!$resultado[0]['Error']) {

	$_SESSION['ordenesPicking']=$resultado;
	
	$nombresIconosTipo=array('Ambos'=>'etiquetarprecintar','Etiquetado'=>'etiquetar','Precintado'=>'precintar');
	
	?>
    <table class="tablaFormateada" style="margin:0 auto">
		<tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
			<th>Nº Orden</th>
			<th>Fecha Orden</th>
			<th>Tipo</th>
			<th>Descripción</th>
			<th>Estado</th>
		</tr>
		<?php foreach($_SESSION['ordenesPicking'] as $orden) { ?>
        <tr orden="<?php echo $orden['Orden']; ?>" class="lineaOrden clicable mostrarCargando <?php if($orden['EstadoUsuario']=='Iniciada') { ?>verde fondoVerde<?php } ?>" style="height:65px" tipo="<?php echo $orden['TipoOrdenes']; ?>" estado="<?php echo $orden['EstadoUsuario']; ?>">
        	<?php if(count($_SESSION['empresas'])>1) { ?><td valign="middle"><?php echo $orden['Empresa']; ?></td>
			<?php } ?>
			<td valign="middle"><?php echo $orden['Orden']; ?></td>
			<td valign="middle"><?php echo fechaNacional($orden['Fecha']); ?></td>
			<td valign="middle"><img src="<?php echo DIR_IMAGENES; ?>/menu/<?php echo $nombresIconosTipo[ $orden['TipoOrdenes'] ]; ?>.png" width="30" height="30" style="float:left;margin-top:-5px;margin-right:5px;"/><?php echo $orden['TipoOrdenes']; ?></td>
		  <td valign="middle"><?php echo $orden['Descripcion']; ?></td>
			<td valign="middle"><?php echo $orden['EstadoUsuario']; ?></td>
		</tr>
		<?php } ?>
    </table>
    
    <div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Tipo:<br />
                <select name="filtroTipo" id="filtroTipo" class="campo selectorFiltro">
                	<option value="">---</option>
                    <option value="Ambos">Ambos</option>
                	<option value="Etiquetado">Etiquetado</option>
                	<option value="Precintado">Precintado</option>
                </select>
                </td>
            	<td>
                Estado:<br />
                <select name="filtroEstado" id="filtroEstado" class="campo selectorFiltro">
                    <option value="">---</option>
                    <option value="Iniciada">Iniciada</option>
                	<option value="Pendiente">Pendiente</option>
                </select>
                </td>
                
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
        
    <script>

		function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			var ultimaFila; 
			
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			if (ultimaFila) {
			
				ultimaFila.children('td').css('border-bottom','1px solid #999999');
				ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
				ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
				ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
				ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
				ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
				ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
			}
		}
		
		function aplicarFiltro() {
		
			if( $('#filtroTipo').val()=='' && $('#filtroEstado').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaTipo=false;
				var coincidenciaEstado=false;
			
				if( $('#filtroTipo').val()!='' && $(this).attr('tipo')==$('#filtroTipo').val() ) coincidenciaTipo=true;
				else if( $('#filtroTipo').val()=='' ) coincidenciaTipo=true;
			
				if( $('#filtroEstado').val()!='' && $(this).attr('estado')==$('#filtroEstado').val() ) coincidenciaEstado=true;
				else if( $('#filtroEstado').val()=='' ) coincidenciaEstado=true;
				
				if( coincidenciaTipo && coincidenciaEstado ) $(this).show();
				else $(this).hide();
			});
	
			repintarTabla();
		
		}

		$(document).ready(function() {
		
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroTipo option:selected').removeProp('selected');
				$('#filtroEstado option:selected').removeProp('selected');
				
				$('#filtroTipo option[value=""]').prop('selected',true);
				$('#filtroEstado option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
			});
		
			$('.lineaOrden').on("click",function() {
			
				$('#popupCargando').show();
				window.location="orden-picking.php?orden="+$(this).attr('orden');
			
			});
		
		});
	
	</script>
    
<?php
}
else {
	?><p>No hay ninguna Orden de Picking pendiente.</p><?php
}
?>